package cn.com.qmth.scancloud.tools.model;

import java.util.List;

import cn.com.qmth.scancloud.tools.enums.ExamMode;

public class Exam {

    private Long schoolId;//学校ID

    private String schoolName;//学校名称

    private Long id;//考试ID

    private String name;//考试名称

    private ExamMode mode;//扫描模式

    private Boolean scanByPackage;//是否整袋扫描

    private Boolean enableSyncVerify;//是否启用实时审核

    private Boolean allowUnexistPaper;//是否允许缺页

    private Integer answerFrontCardType;//答题卡正面卡格式类型，0为不限制

    private Integer answerPaperNumberFigure;//答题卡序号位数

    private Boolean enableSinglePageAnswer;//答题卡允许单页模式

    private List<String> paperTypeBarcodeContent;//试卷类型条码内容规则

    private String absentBarcodeContent;//缺考条码内容规则

    
    public Long getSchoolId() {
        return schoolId;
    }

    
    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    
    public String getSchoolName() {
        return schoolName;
    }

    
    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    
    public Long getId() {
        return id;
    }

    
    public void setId(Long id) {
        this.id = id;
    }

    
    public String getName() {
        return name;
    }

    
    public void setName(String name) {
        this.name = name;
    }

    
    public ExamMode getMode() {
        return mode;
    }

    
    public void setMode(ExamMode mode) {
        this.mode = mode;
    }

    
    public Boolean getScanByPackage() {
        return scanByPackage;
    }

    
    public void setScanByPackage(Boolean scanByPackage) {
        this.scanByPackage = scanByPackage;
    }

    
    public Boolean getEnableSyncVerify() {
        return enableSyncVerify;
    }

    
    public void setEnableSyncVerify(Boolean enableSyncVerify) {
        this.enableSyncVerify = enableSyncVerify;
    }

    
    public Boolean getAllowUnexistPaper() {
        return allowUnexistPaper;
    }

    
    public void setAllowUnexistPaper(Boolean allowUnexistPaper) {
        this.allowUnexistPaper = allowUnexistPaper;
    }

    
    public Integer getAnswerFrontCardType() {
        return answerFrontCardType;
    }

    
    public void setAnswerFrontCardType(Integer answerFrontCardType) {
        this.answerFrontCardType = answerFrontCardType;
    }

    
    public Integer getAnswerPaperNumberFigure() {
        return answerPaperNumberFigure;
    }

    
    public void setAnswerPaperNumberFigure(Integer answerPaperNumberFigure) {
        this.answerPaperNumberFigure = answerPaperNumberFigure;
    }

    
    public Boolean getEnableSinglePageAnswer() {
        return enableSinglePageAnswer;
    }

    
    public void setEnableSinglePageAnswer(Boolean enableSinglePageAnswer) {
        this.enableSinglePageAnswer = enableSinglePageAnswer;
    }

    
    public List<String> getPaperTypeBarcodeContent() {
        return paperTypeBarcodeContent;
    }

    
    public void setPaperTypeBarcodeContent(List<String> paperTypeBarcodeContent) {
        this.paperTypeBarcodeContent = paperTypeBarcodeContent;
    }

    
    public String getAbsentBarcodeContent() {
        return absentBarcodeContent;
    }

    
    public void setAbsentBarcodeContent(String absentBarcodeContent) {
        this.absentBarcodeContent = absentBarcodeContent;
    }

    
}
