package cn.com.qmth.scancloud.tools.model;

import java.util.List;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;

@ColumnWidth(18)
public class ExamStudent {

    @ExcelIgnore
    private Long id;// 考生ID

    @ExcelIgnore
    private Long examId;// 考试ID

    @ExcelProperty("科目代码")
    private String subjectCode;// 科目代码

    @ExcelProperty("科目名称")
    private String subjectName;// 科目名称

    @ExcelProperty("准考证号")
    private String examNumber;// 准考证号

    @ExcelProperty("考生姓名")
    private String name;// 考生姓名

    @ExcelProperty("考生编号")
    private String studentCode;// 考生编号

    @ExcelProperty("卷袋号")
    private String packageCode;// 卷袋号

    @ExcelProperty("座位号")
    private String seatNumber;// 座位号

    private String campusCode;

    @ExcelProperty("学习中心")
    private String campusName;// 学习中心

    @ExcelProperty("考场")
    private String examSite;// 考场

    private String examSiteName;

    @ExcelProperty("考点")
    private String examRoom;// 考点

    @ExcelIgnore
    private String paperType;// 卷型

    @ExcelIgnore
    private List<String> answer;// 客观题作答阅卷数据

    @ExcelIgnore
    private Boolean absent;// 缺考

    @ExcelIgnore
    private String violation;// 违纪

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getSeatNumber() {
        return seatNumber;
    }

    public void setSeatNumber(String seatNumber) {
        this.seatNumber = seatNumber;
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public List<String> getAnswer() {
        return answer;
    }

    public void setAnswer(List<String> answer) {
        this.answer = answer;
    }

    public String getExamSiteName() {
        return examSiteName;
    }

    public void setExamSiteName(String examSiteName) {
        this.examSiteName = examSiteName;
    }

    public String getCampusCode() {
        return campusCode;
    }

    public void setCampusCode(String campusCode) {
        this.campusCode = campusCode;
    }

    public Boolean getAbsent() {
        return absent;
    }

    public void setAbsent(Boolean absent) {
        this.absent = absent;
    }

    public String getViolation() {
        return violation;
    }

    public void setViolation(String violation) {
        this.violation = violation;
    }

}
